Modify

Opened 7 months ago

Closed 7 months ago

Last modified 5 months ago

#15785 closed defect (othersoftware)

SecurityException: Can not verify security pack jar when starting JOSM

Reported by: anonymous Owned by: anonymous
Priority: major Milestone:
Component: Core Webstart Version:
Keywords: template_report security javabug Cc: framm, stoecker

Description (last modified by Klumbumbus)

What steps will reproduce the problem?

  1. open josm
  2. download an area
  3. bugreport dialog appear

What is the expected result?

What happens instead?

Please provide any additional information below. Attach a screenshot if possible.

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2017-12-31 03:09:43 +0100 (Sun, 31 Dec 2017)
Build-Date:2017-12-31 02:33:46
Revision:13265
Relative:URL: ^/trunk

Identification: JOSM/1.5 (13265 en) Windows 10 64-Bit
OS Build number: Windows 10 Home 1709 (16299)
Memory Usage: 194 MB / 247 MB (104 MB allocated, but free)
Java version: 1.8.0_151-b12, Oracle Corporation, Java HotSpot(TM) Client VM
Screen: \Display0 1600x900
Maximum Screen Size: 1600x900
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:<java.home>\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=%UserProfile%\AppData\Local\Temp\josm.jnlp, -Djnlpx.remove=true, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.splashport=55793, -Djnlpx.jvm=<java.home>\bin\javaw.exe]

Last errors/warnings:
- W: No configuration settings found.  Using hardcoded default values for all pools.
- E: Handled by bug report queue: java.lang.SecurityException: Impossibile verificare il file JAR del pacchetto di sicurezza


=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: Thread-27 (134)
java.lang.SecurityException: Impossibile verificare il file JAR del pacchetto di sicurezza
	at com.sun.deploy.util.SecurityBaseline.verifyJar(Unknown Source)
	at com.sun.deploy.util.SecurityBaseline.access$200(Unknown Source)
	at com.sun.deploy.util.SecurityBaseline$1.run(Unknown Source)
	at java.lang.Thread.run(Unknown Source)

English stack trace:

=== STACK TRACE ===
Thread: Thread-24 (87)
java.lang.SecurityException: Can not verify security pack jar
	at com.sun.deploy.util.SecurityBaseline.verifyJar(Unknown Source)
	at com.sun.deploy.util.SecurityBaseline.access$200(Unknown Source)
	at com.sun.deploy.util.SecurityBaseline$1.run(Unknown Source)
	at java.lang.Thread.run(Thread.java:748)

Attachments (0)

Change History (23)

comment:1 Changed 7 months ago by Don-vip

Owner: changed from team to anonymous
Status: newneedinfo

The download looks corrupted. Please clean the Java cache and try again.

comment:2 Changed 7 months ago by Don-vip

Component: CoreCore Webstart

I've got the same thing with JDK8, JDK9, latest and tested... o_O

Thread: Thread-17 (67)
java.lang.SecurityException: Impossible de vérifier le fichier JAR de package de sécurité
	at com.sun.deploy.util.SecurityBaseline.verifyJar(Unknown Source)
	at com.sun.deploy.util.SecurityBaseline.access$200(Unknown Source)
	at com.sun.deploy.util.SecurityBaseline$1.run(Unknown Source)
	at java.lang.Thread.run(Thread.java:748)

The funny thing: JOSM starts fine, then a few seconds later, the error happens.

comment:3 Changed 7 months ago by Don-vip

Keywords: security added
Summary: just start josm and donwload an areaSecurityException: Can not verify security pack jar when starting JOSM

comment:4 Changed 7 months ago by Don-vip

Cc: framm stoecker added

Is there a problem with Comodo? Our certificate is valid until September 2020 so I don't see why we face this error all of a sudden.

comment:5 Changed 7 months ago by Don-vip

Ah, it's not about our jar! It's about securitypack.jar automatically downloaded from Oracle servers.

comment:6 Changed 7 months ago by Don-vip

OK I think it's a temporary error that occurs when Oracle deploys new security versions of Java.

I have currently in %USERPROFILE%\AppData\LocalLow\Sun\Java\Deployment\security:

  • a baseline.versions file containing the following, last updated 15/01/2018 02:04:
    1.4.2_43
    1.5.0_99
    1.6.0_171
    1.7.0_161
    1.8.0_151
    9.0.1
    
  • a securitypack.jar, last updated 16/01/2018 18:55 containing the following information:
    1.4.2_43
    1.5.0_99
    1.6.0_181
    1.7.0_171
    1.8.0_161
    9.0.4
    

There's a mismatch, probably the root cause of the error.

comment:7 Changed 7 months ago by Don-vip

Keywords: javabug added

Installing Java 8u161 solved the problem for me when running with Java 8, But I still have the problem with Java 9.0.4.

comment:8 Changed 7 months ago by Don-vip

Resolution: othersoftware
Status: needinfoclosed

I have no longer the problem with Java 9.0.4. So it's clearly a problem on Oracle's side.

comment:9 Changed 6 months ago by Don-vip

Ticket #15909 has been marked as a duplicate of this ticket.

comment:10 Changed 6 months ago by Don-vip

Ticket #15960 has been marked as a duplicate of this ticket.

comment:11 Changed 6 months ago by franco_bez

I tried upgrading java to 9.0.4.
On my system this makes no difference.
No matter which version is used java 8u161 or java 9.0.4, the problem still persists.

Running on ubuntu xenial (16.04) 64 bit.

It's quite annoying as it happens 100% every time josm is started
Ciao,
Franco

comment:12 Changed 6 months ago by Don-vip

This is a Java bug, please contact the Debian Java team. We can do nothing from JOSM.

comment:13 Changed 6 months ago by Don-vip

Or simply use the openjdk package instead of the Oracle version.

comment:14 in reply to:  13 Changed 6 months ago by franco_bez

Replying to Don-vip:

Or simply use the openjdk package instead of the Oracle version.

Yes. this did the trick :-)
Now josm starts fine again.
Thanks a lot

comment:15 Changed 6 months ago by Don-vip

Ticket #15999 has been marked as a duplicate of this ticket.

comment:16 Changed 6 months ago by Klumbumbus

Ticket #16049 has been marked as a duplicate of this ticket.

comment:17 Changed 6 months ago by Klumbumbus

Ticket #16057 has been marked as a duplicate of this ticket.

comment:18 Changed 6 months ago by Klumbumbus

Description: modified (diff)

comment:19 Changed 6 months ago by Don-vip

the bug has been reported as javabug:8197997

comment:20 Changed 5 months ago by Don-vip

Ticket #16068 has been marked as a duplicate of this ticket.

comment:21 Changed 5 months ago by Don-vip

Priority: normalmajor

comment:22 Changed 5 months ago by Don-vip

Ticket #16091 has been marked as a duplicate of this ticket.

comment:23 Changed 5 months ago by Don-vip

Ticket #16113 has been marked as a duplicate of this ticket.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain anonymous.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.